import Check, { CheckMany, FeatureCheck, PermissionCheck } from "../types/Check";
export default class Authorization {
    static check(check: Check): Promise<boolean>;
    static checkMany(check: CheckMany): Promise<boolean>;
    static hasFeature(featureCheck: FeatureCheck): Promise<boolean>;
    static hasPermission(permissionCheck: PermissionCheck): Promise<boolean>;
    private static authorize;
    private static edgeAuthorize;
    private static mapWarrantsForRequest;
}
